@charset "utf-8";
/* CSS Document */
/*==================================================
　5-2-4 MENUがCLOSEに
===================================*/
/*ボタン外側※レイアウトによってpositionや形状は適宜変更してください*/
  .openbtn {
    /*ボタン内側の基点となるためrelativeを指定。
追従するナビゲーションの場合はfixed＋top、rightといった位置をセットで指定*/
    display: block;
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 999;
    background: #D54884;
    cursor: pointer;
    width: 50px;
    height: 50px;
    border-radius: 5px;
  }
  /*ボタン内側*/
  .openbtn span {
    display: inline-block;
    transition: all .4s; /*アニメーションの設定*/
    position: absolute;
    left: 14px;
    height: 2px;
    border-radius: 5px;
    background: #fff;
    width: 45%;
  }
  .openbtn span:nth-of-type(1) {
    top: 13px;
  }
  .openbtn span:nth-of-type(2) {
    top: 19px;
  }
  .openbtn span:nth-of-type(3) {
    top: 25px;
  }
  .openbtn span:nth-of-type(3)::after {
    content: "Menu"; /*3つ目の要素のafterにMenu表示を指定*/
    position: absolute;
    top: 5px;
    left: -2px;
    color: #fff;
    font-size: 0.6rem;
    text-transform: uppercase;
  }
  /*activeクラスが付与されると線が回転して×になり、Menu⇒Closeに変更*/
  .openbtn.active span:nth-of-type(1) {
    top: 14px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
  }
  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }
  .openbtn.active span:nth-of-type(3) {
    top: 26px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
  }
  .openbtn.active span:nth-of-type(3)::after {
    content: "Close"; /*3つ目の要素のafterにClose表示を指定*/
    transform: translateY(0) rotate(-45deg);
    top: 5px;
    left: 4px;
  }
  /*========= ナビゲーションのためのCSS ===============*/
  /*アクティブになったエリア*/
  #g-nav.panelactive {
    /*position:fixed;にし、z-indexの数値を大きくして前面へ*/
    position: fixed;
    z-index: 999;
    top: 0;
    width: 100%;
    height: 100vh;
  }
  /*丸の拡大*/
  .circle-bg {
    position: fixed;
    z-index: 3;
    /*丸の形*/
    width: 100px;
    height: 100px;
    border-radius: 50%;
    background: #999;
    /*丸のスタート位置と形状*/
    transform: scale(0); /*scaleをはじめは0に*/
    right: -50px;
    top: -50px;
    transition: all .6s; /*0.6秒かけてアニメーション*/
  }
  .circle-bg.circleactive {
    transform: scale(50); /*クラスが付与されたらscaleを拡大*/
  }
  /*ナビゲーションの縦スクロール*/
  #g-nav-list {
    display: none; /*はじめは表示なし*/
    /*ナビの数が増えた場合縦スクロール*/
    position: fixed;
    z-index: 999;
    width: 100%;
    height: 100vh;
    overflow: auto;
    -webkit-overflow-scrolling: touch;
  }
  #g-nav.panelactive #g-nav-list {
    display: block; /*クラスが付与されたら出現*/
  }
  /*ナビゲーション*/
  #g-nav ul {
    opacity: 0; /*はじめは透過0*/
    /*ナビゲーション天地中央揃え※レイアウトによって調整してください。不必要なら削除*/
    position: absolute;
    z-index: 999;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
  }
  /*背景が出現後にナビゲーションを表示*/
  #g-nav.panelactive ul {
    opacity: 1;
  }
  /* 背景が出現後にナビゲーション li を表示※レイアウトによって調整してください。不必要なら削除*/
  #g-nav.panelactive ul li {
    animation-name: gnaviAnime;
    animation-duration: 1s;
    animation-delay: .2s; /*0.2 秒遅らせて出現*/
    animation-fill-mode: forwards;
    opacity: 0;
  }
  @keyframes gnaviAnime {
    0% {
      opacity: 0;
    }
    100% {
      opacity: 1;
    }
  }
  /*リストのレイアウト設定*/
  #g-nav li {
    text-align: center;
    list-style: none;
  }
  #g-nav li a {
    color: #333;
    text-decoration: none;
    padding: 10px;
    display: block;
    text-transform: uppercase;
    letter-spacing: 0.1em;
    font-weight: bold;
  }
  /*========= ボタンのためのCSS ===============*/
  .openbtn {
    position: fixed;
    top: 10px;
    right: 10px;
    z-index: 9999; /*ボタンを最前面に*/
    cursor: pointer;
    width: 50px;
    height: 50px;
  }
  /*×に変化*/
  .openbtn span {
    display: inline-block;
    transition: all .4s;
    position: absolute;
    left: 14px;
    height: 3px;
    border-radius: 2px;
    background-color: #666;
    width: 45%;
  }
  .openbtn span:nth-of-type(1) {
    top: 15px;
  }
  .openbtn span:nth-of-type(2) {
    top: 23px;
  }
  .openbtn span:nth-of-type(3) {
    top: 31px;
  }
  .openbtn.active span:nth-of-type(1) {
    top: 18px;
    left: 18px;
    transform: translateY(6px) rotate(-45deg);
    width: 30%;
  }
  .openbtn.active span:nth-of-type(2) {
    opacity: 0;
  }
  .openbtn.active span:nth-of-type(3) {
    top: 30px;
    left: 18px;
    transform: translateY(-6px) rotate(45deg);
    width: 30%;
  }
